/*
 *  wb_context_model.h
 *  MySQLWorkbench
 *
 *  Created by Alfredo Kojima on 29/Apr/09.
 *  Copyright 2009 Sun Microsystems Inc. All rights reserved.
 *
 */

#ifndef _WBCONTEXT_MODEL_H_
#define _WBCONTEXT_MODEL_H_


#include "wb_backend_public_interface.h"

#include <grts/structs.app.h>

namespace wb 
{
  class WBContextUI;
  
  class MYSQLWBBACKEND_PUBLIC_FUNC WBContextModel : public sigc::trackable
  {
    WBContextUI *_wbui;
    app_ToolbarRef _toolbar;
    app_ToolbarRef _tools_toolbar;
    
  public:
    WBContextModel(WBContextUI *wbui);
    
    // return the named toolbar
    grt::ListRef<app_ToolbarItem> get_toolbar_items(const std::string &name);
  };
};

#endif
